Skip to main content
GET
List rows

Authorizations

Authorization
string
header
required

Your DUST API key is a Bearer token.

Path Parameters

wId
string
required

Unique string identifier for the workspace

spaceId
string
required

ID of the space

dsId
string
required

ID of the data source

tId
string
required

ID of the table

Query Parameters

limit
integer

Limit the number of rows returned

offset
integer

Offset the returned rows

Response

The rows

id
integer

Unique identifier for the datasource

Example:

12345

createdAt
integer

Timestamp of when the datasource was created

Example:

1625097600

name
string

Name of the datasource

Example:

"Customer Knowledge Base"

description
string

Description of the datasource

Example:

"Contains all customer-related information and FAQs"

dustAPIProjectId
string

ID of the associated Dust API project

Example:

"5e9d8c7b6a"

connectorId
string

ID of the connector used for this datasource

Example:

"1f3e5d7c9b"

connectorProvider
string

Provider of the connector (e.g., 'webcrawler')

Example:

"webcrawler"

assistantDefaultSelected
boolean

Whether this datasource is selected by default for agents

Example:

true